Skip to content

Operations

All operations require authentication.

3 operationsv2/managedCMS/resource
Agent setup

List tasksAlpha

GET
/v2/managedCMS/resource/{serviceId}/task

Returns the current and recent tasks of the service.

Path parameters

serviceId
required
stringuuid

Service ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Task[]successful operation
createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

Example uses serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]

Get a taskAlpha

GET
/v2/managedCMS/resource/{serviceId}/task/{taskId}

Returns the details and status of the task.

Path parameters

serviceId
required
stringuuid

Service ID

taskId
required
stringuuid

Task ID

Response

200Tasksuccessful operation
createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

404objectError 404 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}

Provide task inputAlpha

PUT
/v2/managedCMS/resource/{serviceId}/task/{taskId}

Sends the input a task waits for. For a WordPress import, sends the elements to import: content, users, plugins, themes or the whole database. At least one active theme must be selected.

Path parameters

serviceId
required
stringuuid

Service ID

taskId
required
stringuuid

Task ID

Request body (required)

createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

inputs
required
object
—
link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

Response

200Tasksuccessful operation
createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

400objectError 400 response
404objectError 404 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}